Bug 607715 - Preupgrade from F11 to F13 generates invalid group ID's, killing ConsoleKit and PolKit
Preupgrade from F11 to F13 generates invalid group ID's, killing ConsoleKit a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 11:59 EDT by Gilboa Davara
Modified: 2014-03-16 23:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Checks the group ID in /etc/passwd against the one defined in /etc/group (681 bytes, application/x-sh)
2010-06-24 11:59 EDT, Gilboa Davara
no flags Details
Upgrade log (64.37 KB, text/plain)
2010-06-24 17:20 EDT, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2010-06-24 11:59:48 EDT
Created attachment 426630 [details]
Checks the group ID in /etc/passwd against the one defined in /etc/group

Description of problem:
I've upgraded F11/x86_64 to F13/x86_64 using preupgrade-cli in VNC mode.
Once I rebooted into the new machine, GDM user list was empty and non of kit processes were active. Logging in using the "custom user" option, produced a dead GNOME session with no sound (pulse kept on crashing) and no panels.
Starting console-kit-daemon and polkit by hand did produce a semi working gdm, but once I logged in any gvfs and friends start crashing like crazy.
Doing some research, I noticed that the group IDs in /etc/passwd and /etc/group do no match.

Using a small script (attached) I detected and fixed the invalid ID's and reinstalled all the affected packages.
$ yum reinstall -y $(rpm -qa --queryformat="%{NAME}.%{ARCH}\n" | egrep -e 'gdm|pulse|kit|Kit')
The machine now boots and works as advertised.

$ sh ./check-id.sh 
User: games (ID: 12) FAILED (Group: 100 [/etc/passwd] 20 [/etc/group]).
User: vcsa (ID: 69) FAILED (Group: 69 [/etc/passwd] 499 [/etc/group]).
User: avahi-autoipd (ID: 499) FAILED (Group: 499 [/etc/passwd] 498 [/etc/group]).
User: dbus (ID: 81) FAILED (Group: 81 [/etc/passwd] 497 [/etc/group]).
User: polkituser (ID: 87) FAILED (Group: 87 [/etc/passwd] 496 [/etc/group]).
User: avahi (ID: 498) FAILED (Group: 498 [/etc/passwd] 489 [/etc/group]).
User: mailnull (ID: 47) FAILED (Group: 47 [/etc/passwd] 487 [/etc/group]).
User: smmsp (ID: 51) FAILED (Group: 51 [/etc/passwd] 486 [/etc/group]).
User: nscd (ID: 28) FAILED (Group: 28 [/etc/passwd] 491 [/etc/group]).
User: apache (ID: 48) FAILED (Group: 48 [/etc/passwd] 488 [/etc/group]).
User: pulse (ID: 497) FAILED (Group: 497 [/etc/passwd] 494 [/etc/group]).
User: rpcuser (ID: 29) FAILED (Group: 29 [/etc/passwd] 495 [/etc/group]).
User: nfsnobody (ID: 4294967294) FAILED (Group: 494 [/etc/passwd] 65534 [/etc/group]).
User: sshd (ID: 74) FAILED (Group: 74 [/etc/passwd] 484 [/etc/group]).
User: smolt (ID: 496) FAILED (Group: 493 [/etc/passwd] 482 [/etc/group]).
User: torrent (ID: 495) FAILED (Group: 492 [/etc/passwd] 481 [/etc/group]).
User: haldaemon (ID: 68) FAILED (Group: 68 [/etc/passwd] 478 [/etc/group]).
User: gdm (ID: 42) FAILED (Group: 42 [/etc/passwd] 474 [/etc/group]).

P.S. I'm getting an invalid ID on games group on two freshly installed F13 machines.

$ sh /mnt/Install/Linux/RegCreate/home/check-id.sh 
User: games (ID: 12) FAILED (Group: 100 [/etc/passwd] 20 [/etc/group]).
Comment 1 Gilboa Davara 2010-06-24 12:01:30 EDT
I should note that the original F11 worked just fine.
Comment 2 Bill Nottingham 2010-06-24 13:08:14 EDT
Can you attach your upgrade log?
Comment 3 Gilboa Davara 2010-06-24 17:20:40 EDT
Created attachment 426703 [details]
Upgrade log
Comment 4 Bug Zapper 2011-06-01 11:41:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:52:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.